<?php

include "../conecta.php";

if($_POST[acao]=='cadastra_sangria'){

	$sql = selecionar('caixa','caix_tx_status',"aberto"," AND caix_nb_user = '$_SESSION[user_nb_id]'");
	if(num_linhas($sql)==0){
		set_status("ERRO: Caixa aberto não encontrado!");
	}else{
		$a=carrega_array($sql);
		

		$campos = array( fech_nb_forma, fech_nb_caixa, fech_tx_data, fech_nb_user, fech_tx_valor,fech_tx_tipo, fech_tx_status );
		$valores = array( 1, $a[caix_nb_id], date('Y-m-d H:i:s'), $_SESSION[user_nb_id], valor($_POST[valor]),strtolower($_POST[operacao]), 'ativo' );
//		inserir('fechamento',$campos,$valores,1);
		echo "<script>alert('Impossivel fazer sangria!');fecha_janela_modal();</script>";

//		echo "<script>alert('$_POST[operacao] realizada com sucesso');fecha_janela_modal();</script>";
	}
}

	
	$sql_pdv = selecionar('caixa,user,pdv','caix_tx_status','aberto'," LIMIT 1 ");
	$sql_forma = selecionar('forma','form_tx_status','ativo');

	$a_pdv = carrega_array($sql_pdv);



    $NOME = 'Informações da Sangria';
    $TABELA = 'produto';

	$TAB = substr($TABELA,0,4);

	cabecalho2('',2);

	
	//CAMPOS
	$atendente = cactux::texto('Operador:',$a_pdv[user_tx_nome],3);
	$abertura = cactux::texto('Abertura:',data($a_pdv[caix_tx_data],3),2);
	$valor = cactux::campo('Valor:','valor','',3,MASCARA_VALOR.' id=valor');
	$operacao = cactux::combo('Operação:','operacao',array('Sangria','Suprimento'),'',2);
	

	//BOTOES
	$gravar = cactux::botao_submit("Gravar",2,'cadastra_sangria','c',$_GET[c]);
	$voltar = cactux::botao("Voltar",2,'cancelar'," onclick=fecha_combo_net_pdv();window.parent.foco('buscar_codigo_barras');");
	
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();


	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($valor,$operacao,$atendente,$abertura);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();

	cactux::fecha_form();
	
	rodape();


	javascript("
		
		document.getElementById('valor').focus();
	");

?>